Difference: SCS-1_03-Err-2 (1 vs. 4)

Revision 42022-01-27 - MarcoMolinaro

 
META TOPICPARENT name="SCS-1_03-Errata"

Simple Cone Search version 1.03 Proposed Erratum 2: Drop mandatory version for VOTable response

Authors: Marco Molinaro, Markus Demleitner

Date last changed: 2021-11-19

Changed:
<
<
<-- Date accepted|rejected: 20NN-MM-DD -->
>
>
Date accepted: 2022-01-26
 

Rationale

The Simple Cone Search specification, version 1.03, at Section 2, bullet 2, requires that compliant services return VOTable version 1.0 or 1.1.

This forces server-side software to still support a standard outdated since the release of VOTable 1.2 in 2009, and it prevents the use of several modern VOTable features relevant to SCS content, for instance TIMESYS and GROUP children of RESOURCES-s as required by Datalink.

This Erratum proposes to legalise the already reasonably widespread practice of returning more modern VOTables from SCS services.

Erratum Content

In Section 2, bullet 2 of Simple Cone Search - Version 1.03 replace the sentence:

The XML content of the response must be compliant with VOTable schema, version 1.0 [VOTable v1.0] or 1.1 [VOTable v1.1].

with

Simple Cone Search services MUST return VOTable version 1 documents.

Impact Assessment

We believe no software is in current use that will fail when encountering elements from VOTable 1.2 and later. Hence, lifting the limitation to 1.1 should have no operational impact (in the sense of causing client fail that were working correctly before). In addition, most VOTable clients traditionally already employed lenient parsing as forseen by the schema versioning policies.

On the other hand, the Erratum will enable, for instance, proper declaration of time metadata, attaching additional data resources to table rows through datalink, or data model annotation in tables returned through SCS, which for advanced clients substantially increases the usefulness of this protocol.

<--  
-->

Revision 32021-11-19 - MarcoMolinaro

 
META TOPICPARENT name="SCS-1_03-Errata"

Simple Cone Search version 1.03 Proposed Erratum 2: Drop mandatory version for VOTable response

Authors: Marco Molinaro, Markus Demleitner

Changed:
<
<
Date last changed: 2021-11-17
>
>
Date last changed: 2021-11-19
 
<-- Date accepted|rejected: 20NN-MM-DD -->

Rationale

The Simple Cone Search specification, version 1.03, at Section 2, bullet 2, requires that compliant services return VOTable version 1.0 or 1.1.

This forces server-side software to still support a standard outdated since the release of VOTable 1.2 in 2009, and it prevents the use of several modern VOTable features relevant to SCS content, for instance TIMESYS and GROUP children of RESOURCES-s as required by Datalink.

This Erratum proposes to legalise the already reasonably widespread practice of returning more modern VOTables from SCS services.

Erratum Content

In Section 2, bullet 2 of Simple Cone Search - Version 1.03 replace the sentence:

The XML content of the response must be compliant with VOTable schema, version 1.0 [VOTable v1.0] or 1.1 [VOTable v1.1].

with

Simple Cone Search services MUST return VOTable version 1
Changed:
<
<
documents. This means that clients will have to handle the namespace URIs http://www.ivoa.net/xml/VOTable/v1.1, http://www.ivoa.net/xml/VOTable/v1.2, and http://www.ivoa.net/xml/VOTable/v1.3, where the last namespace will be used for all future VOTable 1 versions. For forward compatibility clients should ignore unknown elements and attributes in these documents as per the IVOA schema versioning policies.
>
>
documents.
 

Impact Assessment

We believe no software is in current use that will fail when encountering elements from VOTable 1.2 and later. Hence, lifting the limitation to 1.1 should have no operational impact (in the sense of causing client fail that were working correctly before). In addition, most VOTable clients traditionally already employed lenient parsing as forseen by the schema versioning policies.

Deleted:
<
<
We note that, in particular, the main interoperability problem even in the days of SCS 1.03, lack of support for BINARY-serialised tables, is orthogonal to the problem addressed here, as BINARY serialisation was already part of VOTable 1.1.
  On the other hand, the Erratum will enable, for instance, proper declaration of time metadata, attaching additional data resources to table rows through datalink, or data model annotation in tables returned through SCS, which for advanced clients substantially increases the usefulness of this protocol.

<--  
-->

Revision 22021-11-18 - MarkusDemleitner

 
META TOPICPARENT name="SCS-1_03-Errata"

Simple Cone Search version 1.03 Proposed Erratum 2: Drop mandatory version for VOTable response

Changed:
<
<
Author: Marco Molinaro
>
>
Authors: Marco Molinaro, Markus Demleitner
  Date last changed: 2021-11-17

<-- Date accepted|rejected: 20NN-MM-DD -->

Rationale

Changed:
<
<
Simple Cone Search specification, version 1.03, at Section 2, bullet 2 states that
>
>
The Simple Cone Search specification, version 1.03, at Section 2, bullet 2, requires that compliant services return VOTable version 1.0 or 1.1.
Deleted:
<
<
The XML content of the response must be compliant with VOTable schema, 
version 1.0 [VOTable v1.0] or 1.1 [VOTable v1.1].
 
Changed:
<
<
This limits currently available features like GROUP-s in RESOURCES-s that
>
>
This forces server-side software to still support a standard outdated since the release of VOTable 1.2 in 2009, and it prevents the use of several modern VOTable features relevant to SCS content, for instance TIMESYS and GROUP children of RESOURCES-s as required by Datalink.
Deleted:
<
<
are useful to other Recommendations.
 
Added:
>
>
This Erratum proposes to legalise the already reasonably widespread practice of returning more modern VOTables from SCS services.
 

Erratum Content

Changed:
<
<
This Erratum proposes to change, in Section 2, bullet 2 of Simple Cone Search - Version 1.03 the above sentence:
>
>
In Section 2, bullet 2 of Simple Cone Search - Version 1.03 replace the sentence:
Deleted:
<
<
The XML content of the response must be compliant with VOTable schema, version 1.0 [VOTable v1.0] or 1.1 [VOTable v1.1].
 
Changed:
<
<
with the following one:
>
>
The XML content of the response must be compliant with VOTable schema, version 1.0 [VOTable v1.0] or 1.1 [VOTable v1.1].
Deleted:
<
<
The XML content of the response must be compliant with the VOTable Recommendation.
 
Changed:
<
<
Thus leaving freedom of choice on the version of the VOTable in the response.
>
>
with
 
Added:
>
>
Simple Cone Search services MUST return VOTable version 1 documents. This means that clients will have to handle the namespace URIs http://www.ivoa.net/xml/VOTable/v1.1, http://www.ivoa.net/xml/VOTable/v1.2, and http://www.ivoa.net/xml/VOTable/v1.3, where the last namespace will be used for all future VOTable 1 versions. For forward compatibility clients should ignore unknown elements and attributes in these documents as per the IVOA schema versioning policies.
 

Impact Assessment

Changed:
<
<
While this erratum might have an impact on the specification, no client-server impact is expected.
>
>
We believe no software is in current use that will fail when encountering elements from VOTable 1.2 and later. Hence, lifting the limitation to 1.1 should have no operational impact (in the sense of causing client fail that were working correctly before). In addition, most VOTable clients traditionally already employed lenient parsing as forseen by the schema versioning policies.
 
Added:
>
>
We note that, in particular, the main interoperability problem even in the days of SCS 1.03, lack of support for BINARY-serialised tables, is orthogonal to the problem addressed here, as BINARY serialisation was already part of VOTable 1.1.

On the other hand, the Erratum will enable, for instance, proper declaration of time metadata, attaching additional data resources to table rows through datalink, or data model annotation in tables returned through SCS, which for advanced clients substantially increases the usefulness of this protocol.

 
<--  
-->

Revision 12021-11-17 - MarcoMolinaro

 
META TOPICPARENT name="SCS-1_03-Errata"

Simple Cone Search version 1.03 Proposed Erratum 2: Drop mandatory version for VOTable response

Author: Marco Molinaro

Date last changed: 2021-11-17

<-- Date accepted|rejected: 20NN-MM-DD -->

Rationale

Simple Cone Search specification, version 1.03, at Section 2, bullet 2 states that

The XML content of the response must be compliant with VOTable schema, 
version 1.0 [VOTable v1.0] or 1.1 [VOTable v1.1].

This limits currently available features like GROUP-s in RESOURCES-s that are useful to other Recommendations.

Erratum Content

This Erratum proposes to change, in Section 2, bullet 2 of Simple Cone Search - Version 1.03 the above sentence:

The XML content of the response must be compliant with VOTable schema, version 1.0 [VOTable v1.0] or 1.1 [VOTable v1.1].

with the following one:

The XML content of the response must be compliant with the VOTable Recommendation.

Thus leaving freedom of choice on the version of the VOTable in the response.

Impact Assessment

While this erratum might have an impact on the specification, no client-server impact is expected.

<--  
-->
 
This site is powered by the TWiki collaboration platform Powered by Perl This site is powered by the TWiki collaboration platformCopyright © 2008-2022 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback